xmltooling 3.2.4

Public Member Functions | List of all members
xmltooling::Validator Class Referenceabstract

An interface for classes that implement rules for checking the validity of XMLObjects. More...

`#include <xmltooling/validation/Validator.h>`

Inheritance diagram for xmltooling::Validator:
[legend]

## Public Member Functions
virtual void | validate (const XMLObject *xmlObject) const =0
| Checks to see if an XMLObject is valid.

## Detailed Description

An interface for classes that implement rules for checking the validity of XMLObjects.

## Member Function Documentation

## ◆ validate()

virtual void xmltooling::Validator::validate | ( | const XMLObject * | xmlObject | ) | const
| pure virtual

Checks to see if an XMLObject is valid.

Parameters

  xmlObject | the XMLObject to validate

Exceptions

  ValidationException | thrown if the element is not valid

Implemented in xmlsignature::SignatureValidator.

The documentation for this class was generated from the following file:

- xmltooling/validation/Validator.h